# Uses of Class
org.springframework.cache.jcache.interceptor.JCacheInterceptor

Packages that use JCacheInterceptor
Package
Description
org.springframework.cache.jcache.config
Support package for declarative JSR-107 caching configuration.

## Uses of JCacheInterceptor in org.springframework.cache.jcache.config

Methods in org.springframework.cache.jcache.config that return JCacheInterceptor
Modifier and Type
Method
Description
`JCacheInterceptor`
ProxyJCacheConfiguration.`cacheInterceptor(JCacheOperationSource jCacheOperationSource)`
Methods in org.springframework.cache.jcache.config with parameters of type JCacheInterceptor
Modifier and Type
Method
Description
`BeanFactoryJCacheOperationSourceAdvisor`
ProxyJCacheConfiguration.`cacheAdvisor(JCacheOperationSource jCacheOperationSource, JCacheInterceptor jCacheInterceptor)`